<div nz-row [nzGutter]="[30, 0]" class="app-row">
  <div nz-col nzSm='12' nzLg="6">
    <mb-input-text
      [(ngModel)]="params.username"
      (mbKeyup)="searchUserName($event)"
      mbPlaceholderText="--{{ 'system.userProfile.modal.label.userName' | translate }}--"
      mbLabelText="{{ 'system.userProfile.modal.label.userName' | translate }}"
    >
    </mb-input-text>
  </div>
  <div nz-col nzSm='12' nzLg="6">
    <mb-input-text
      [(ngModel)]="params.fullName"
      (mbKeyup)="searchUserName($event)"
      mbPlaceholderText="--{{ 'system.userProfile.modal.label.fullName' | translate }}--"
      mbLabelText="{{ 'system.userProfile.modal.label.fullName' | translate }}"
    >
    </mb-input-text>
  </div>
  <div nz-col nzSm='12' nzLg="6">
    <mb-input-text
      [(ngModel)]="params.email"
      (mbKeyup)="searchUserName($event)"
      mbPlaceholderText="--{{ 'system.userProfile.modal.label.email' | translate }}--"
      mbLabelText="{{ 'system.userProfile.modal.label.email' | translate }}"
    >
    </mb-input-text>
  </div>
  <div nz-col nzSm='12' nzLg="6">
    <mb-input-text
      [(ngModel)]="params.phoneNumber"
      (mbKeyup)="searchUserName($event)"
      mbPlaceholderText="--{{ 'system.userProfile.modal.label.phoneNumber' | translate }}--"
      mbLabelText="{{ 'system.userProfile.modal.label.phoneNumber' | translate }}"
    >
    </mb-input-text>
  </div>
  <div nz-col nzSm='12' nzLg="6">
    <mb-input-text
      [(ngModel)]="params.posName"
      (mbKeyup)="searchUserName($event)"
      mbPlaceholderText="--{{ 'system.userProfile.modal.label.position' | translate }}--"
      mbLabelText="{{ 'system.userProfile.modal.label.position' | translate }}"
    >
    </mb-input-text>
  </div>
  <div nz-col nzSm='12' nzLg="6">
    <mb-input-text
      [(ngModel)]="params.jobName"
      (mbKeyup)="searchUserName($event)"
      mbPlaceholderText="--{{ 'system.userProfile.modal.label.title' | translate }}--"
      mbLabelText="{{ 'system.userProfile.modal.label.title' | translate }}"
    >
    </mb-input-text>
  </div>
  <div nz-col nzSm='12' nzLg="6">
    <mb-input-text
      [(ngModel)]="params.orgName"
      (mbKeyup)="searchUserName($event)"
      mbPlaceholderText="--{{ 'system.userProfile.modal.label.orgName' | translate }}--"
      mbLabelText="{{ 'system.userProfile.modal.label.orgName' | translate }}"
    >
    </mb-input-text>
  </div>
  <div nz-col nzSpan="24" class="modal-list__left">
    <div>
      <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="searchUserName($event)"
                 mbButtonAvailableStyle="SEARCH" mbButtonText="{{'system.userProfile.label.search' | translate}}">
      </mb-button>
    </div>
  </div>
</div>
<div nz-row>
  <div nz-col nzSpan="24" class="modal">
    <div nz-row style="margin-top: 16px">
      <app-loading *ngIf="isLoading"></app-loading>
      <div nz-col nzSpan="24">
        <nz-table class='data-table'
          [nzData]="listUser"
          [nzShowPagination]="false"
          [nzFrontPagination]="false"
          [nzScroll]="listUser.length > 7 ? { y: '290px' } : {}"
          #listUserData
        >
          <thead>
            <tr class='table-header'>
              <th scope="col" class='text-nowrap text-center' nzWidth="70px" nzLeft='0'>{{ 'system.userProfile.modal.table.label.stt' | translate }}</th>
              <th scope="col" class='text-nowrap'>{{ 'system.userProfile.modal.table.label.userName' | translate }}</th>
              <th scope="col" class='text-nowrap'>{{ 'system.userProfile.modal.table.label.empCode' | translate }}</th>
              <th scope="col" class='text-nowrap'>{{ 'system.userProfile.modal.table.label.fullName' | translate }}</th>
              <th scope="col" class='text-nowrap'>{{ 'system.userProfile.modal.table.label.phoneNumber' | translate }}</th>
              <th scope="col" class='text-nowrap'>{{ 'system.userProfile.modal.table.label.email' | translate }}</th>
              <th scope="col" class='text-nowrap'>{{ 'system.userProfile.modal.table.label.orgName' | translate }}</th>
              <th scope="col" class='text-nowrap'>{{ 'system.userProfile.modal.table.label.title' | translate }}</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let data of listUserData.data; let i = index" (click)="chooseUser(i)" class='ml-tr-for-class'>
              <td nzWidth="70px" nzLeft='0' class='text-nowrap text-center'>{{ i + 1 + paginationModal.size * paginationModal.pageIndex }}</td>
              <td>{{ data.username }}</td>
              <td>{{ data.empCode }}</td>
              <td>{{ data.fullName }}</td>
              <td>{{ data.phoneNumber }}</td>
              <td>{{ data.email }}</td>
              <td>{{ data.orgName }}</td>
              <td>{{ data.jobName }}</td>
            </tr>
          </tbody>
        </nz-table>
        <div *ngIf="paginationModal.total !== 0" class="pagination">
            <div class="pagination__table-info">
              <img alt='' class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
              <span class="pagination__table-info--text"
                >Tìm thấy {{ paginationModal.total }} kết quả, hiển thị từ
                {{ paginationModal.size * paginationModal.pageIndex + 1 }} đến
                {{ paginationModal.size * paginationModal.pageIndex + paginationModal.numberOfElements }}</span
              >
            </div>
            <nz-pagination
              [nzPageIndex]="paginationModal.pageIndex + 1"
              (nzPageIndexChange)="changePage($event)"
              [nzTotal]="paginationModal.total"
              [nzPageSize]="paginationModal.size"
            ></nz-pagination>
        </div>
      </div>
    </div>
  </div>
</div>
